<?php

namespace WP_AUX\Entities\Components;

use WP_AUX\Entities\Augmentors\StyleAugmentorEntity;
use WP_AUX\Entities\ComponentEntity;

class CardGroupEntity extends ComponentEntity {
  public const ELEMENT_PRIMARY_CLASS = 'card-group';

  protected array $additionalClasses = [
    'card-group--hybrid-inline'
  ];

  protected array $augmentors = [
    'style' => StyleAugmentorEntity::class,
  ];

  public function setBackground(string $background): self
  {
    $this->wrapper->setAugmentation('background', $background);
    $this->wrapper->setChildAugmentations('background', $this);

    return $this;
  }
}
